package com.aucma.system.mapper;

import java.util.List;
import com.aucma.system.domain.SysPortLog;

/**
 * MES接口日志Mapper接口
 * 
 * @author Yinq
 * @date 2023-09-20
 */
public interface SysPortLogMapper 
{
    /**
     * 查询MES接口日志
     * 
     * @param objId MES接口日志主键
     * @return MES接口日志
     */
    public SysPortLog selectSysPortLogByObjId(Long objId);

    /**
     * 查询MES接口日志列表
     * 
     * @param sysPortLog MES接口日志
     * @return MES接口日志集合
     */
    public List<SysPortLog> selectSysPortLogList(SysPortLog sysPortLog);

    /**
     * 新增MES接口日志
     * 
     * @param sysPortLog MES接口日志
     * @return 结果
     */
    public int insertSysPortLog(SysPortLog sysPortLog);

    /**
     * 修改MES接口日志
     * 
     * @param sysPortLog MES接口日志
     * @return 结果
     */
    public int updateSysPortLog(SysPortLog sysPortLog);

    /**
     * 删除MES接口日志
     * 
     * @param objId MES接口日志主键
     * @return 结果
     */
    public int deleteSysPortLogByObjId(Long objId);

    /**
     * 批量删除MES接口日志
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysPortLogByObjIds(Long[] objIds);
}
